Bug 1277899 - CVE-2015-7805 libsndfile: Heap overflow vulnerability when parsing specially crafted AIFF header [fedora-all]
CVE-2015-7805 libsndfile: Heap overflow vulnerability when parsing specially ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libsndfile (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-7805
  Show dependency treegraph
 
Reported: 2015-11-04 05:23 EST by Adam Mariš
Modified: 2016-02-16 20:23 EST (History)
2 users (show)

See Also:
Fixed In Version: libsndfile-1.0.25-18.fc23 libsndfile-1.0.25-18.fc22 libsndfile-1.0.17-8.el5
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-20 01:52:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-04 05:23:36 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2015-12-17 05:55:49 EST
libsndfile-1.0.25-18.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-71b291686c
Comment 2 Fedora Update System 2015-12-17 05:55:50 EST
libsndfile-1.0.17-8.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d1309b0eb2
Comment 3 Fedora Update System 2015-12-17 05:56:00 EST
libsndfile-1.0.25-18.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0be7a2e1b8
Comment 4 Fedora Update System 2015-12-18 05:19:28 EST
libsndfile-1.0.17-8.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update libsndfile'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d1309b0eb2
Comment 5 Fedora Update System 2015-12-18 06:27:23 EST
libsndfile-1.0.25-18.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libsndfile'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0be7a2e1b8
Comment 6 Fedora Update System 2015-12-18 06:56:05 EST
libsndfile-1.0.25-18.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libsndfile'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-71b291686c
Comment 7 Fedora Update System 2015-12-20 01:52:30 EST
libsndfile-1.0.25-18.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-01-21 22:19:28 EST
libsndfile-1.0.25-18.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-02-16 20:22:55 EST
libsndfile-1.0.17-8.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.